"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEV = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const config_utils_1 = require("../../config.utils");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.AssetSymbol.DEV];
const clover = moonbase_common_1.chains[constants_1.ChainKey.CloverAlphanet];
const cloverDevId = (0, config_utils_1.getMoonAssetId)(clover);
exports.DEV = {
    asset,
    origin: moonbase_common_1.moonbase,
    deposit: {
        [clover.key]: {
            origin: clover,
            balance: moonbase_common_1.balance.assets(cloverDevId),
            sourceFeeBalance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transfer()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiAssets)
                .origin(clover)
                .asset({
                OtherReserve: cloverDevId,
            }),
        },
    },
    withdraw: {
        [clover.key]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.assets(cloverDevId),
            destination: clover,
            feePerWeight: 50000,
        }),
    },
};
//# sourceMappingURL=dev.js.map