"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.USDT = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const config_utils_1 = require("../../config.utils");
const moonbeam_common_1 = require("../moonbeam.common");
const asset = moonbeam_common_1.assets[constants_1.AssetSymbol.USDT];
const origin = moonbeam_common_1.chains[constants_1.ChainKey.Statemint];
const originAssetId = (0, config_utils_1.getOriginAssetId)(asset);
exports.USDT = {
    asset,
    origin,
    deposit: {
        [origin.key]: {
            origin,
            balance: moonbeam_common_1.balance.assets(originAssetId),
            sourceFeeBalance: moonbeam_common_1.balance.system(),
            sourceMinBalance: moonbeam_common_1.balance.min(originAssetId),
            extrinsic: moonbeam_common_1.extrinsic
                .polkadotXcm()
                .limitedReserveTransferAssets()
                .successEvent(extrinsic_1.PolkadotXcmExtrinsicSuccessEvent.Attempted)
                .origin(origin)
                .V1()
                .X2((0, config_utils_1.getPalletInstance)(origin), originAssetId),
        },
    },
    withdraw: {},
};
//# sourceMappingURL=usdt.js.map